Package org.apache.tomcat.util.descriptor.web

## Class JspPropertyGroup

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.XmlEncodingBase
  - - org.apache.tomcat.util.descriptor.web.JspPropertyGroup

    public class JspPropertyGroup
    extends XmlEncodingBase

Representation of a jsp-property-group element in web.xml.

### Constructor Summary

Constructors
`JspPropertyGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addIncludeCoda​(java.lang.String includeCoda)`
`void` `addIncludePrelude​(java.lang.String includePrelude)`
`void` `addUrlPattern​(java.lang.String urlPattern)`
`void` `addUrlPatternDecoded​(java.lang.String urlPattern)`
`java.lang.String` `getBuffer()`
`java.lang.String` `getDefaultContentType()`
`java.lang.Boolean` `getDeferredSyntax()`
`java.lang.Boolean` `getElIgnored()`
`java.lang.Boolean` `getErrorOnUndeclaredNamespace()`
`java.util.Collection<java.lang.String>` `getIncludeCodas()`
`java.util.Collection<java.lang.String>` `getIncludePreludes()`
`java.lang.Boolean` `getIsXml()`
`java.lang.String` `getPageEncoding()`
`java.lang.Boolean` `getScriptingInvalid()`
`java.lang.Boolean` `getTrimWhitespace()`
`java.util.Set<java.lang.String>` `getUrlPatterns()`
`void` `setBuffer​(java.lang.String buffer)`
`void` `setDefaultContentType​(java.lang.String defaultContentType)`
`void` `setDeferredSyntax​(java.lang.String deferredSyntax)`
`void` `setElIgnored​(java.lang.String elIgnored)`
`void` `setErrorOnUndeclaredNamespace​(java.lang.String errorOnUndeclaredNamespace)`
`void` `setIsXml​(java.lang.String isXml)`
`void` `setPageEncoding​(java.lang.String pageEncoding)`
`void` `setScriptingInvalid​(java.lang.String scriptingInvalid)`
`void` `setTrimWhitespace​(java.lang.String trimWhitespace)`

### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

`getCharset, setCharset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspPropertyGroup

    public JspPropertyGroup()

### Method Detail

#### setDeferredSyntax

    public void setDeferredSyntax​(java.lang.String deferredSyntax)

#### getDeferredSyntax

    public java.lang.Boolean getDeferredSyntax()

#### setElIgnored

    public void setElIgnored​(java.lang.String elIgnored)

#### getElIgnored

    public java.lang.Boolean getElIgnored()

#### addIncludeCoda

    public void addIncludeCoda​(java.lang.String includeCoda)

#### getIncludeCodas

    public java.util.Collection<java.lang.String> getIncludeCodas()

#### addIncludePrelude

    public void addIncludePrelude​(java.lang.String includePrelude)

#### getIncludePreludes

    public java.util.Collection<java.lang.String> getIncludePreludes()

#### setIsXml

    public void setIsXml​(java.lang.String isXml)

#### getIsXml

    public java.lang.Boolean getIsXml()

#### setPageEncoding

    public void setPageEncoding​(java.lang.String pageEncoding)

#### getPageEncoding

    public java.lang.String getPageEncoding()

#### setScriptingInvalid

    public void setScriptingInvalid​(java.lang.String scriptingInvalid)

#### getScriptingInvalid

    public java.lang.Boolean getScriptingInvalid()

#### setTrimWhitespace

    public void setTrimWhitespace​(java.lang.String trimWhitespace)

#### getTrimWhitespace

    public java.lang.Boolean getTrimWhitespace()

#### addUrlPattern

    public void addUrlPattern​(java.lang.String urlPattern)

#### addUrlPatternDecoded

    public void addUrlPatternDecoded​(java.lang.String urlPattern)

#### getUrlPatterns

    public java.util.Set<java.lang.String> getUrlPatterns()

#### setDefaultContentType

    public void setDefaultContentType​(java.lang.String defaultContentType)

#### getDefaultContentType

    public java.lang.String getDefaultContentType()

#### setBuffer

    public void setBuffer​(java.lang.String buffer)

#### getBuffer

    public java.lang.String getBuffer()

#### setErrorOnUndeclaredNamespace

    public void setErrorOnUndeclaredNamespace​(java.lang.String errorOnUndeclaredNamespace)

#### getErrorOnUndeclaredNamespace

    public java.lang.Boolean getErrorOnUndeclaredNamespace()